# Play music for Python3
import time
import RPi.GPIO as GPIO
GPIO.setwarnings(False)
GPIO.setmode(GPIO.BOARD)
GPIO.setup(12,GPIO.OUT)
mdata =['E',4,'D',1,'C',1,'E',1,'D',1,'C',2,'C1#',2,
    'A1#',1,'C1#',3,'G',4,'E',2,'C',2,'D',6,'R',2,
    'E',3,'D',1,'C',1,'E',1,'D',1,'C',2,'C1#',2,
    'A1#',1,'C1#',3,'G',2,'E',1.5,'C',0.5,'D',2,'D',1,'D',1.5,'C',6,'R',2,
    'B1',3,'C1#',1,'D1#',2,'G',2,'G',3,'A1#',1,'G',2,
    'C1#',2,'C1#',2,'A1#',2,'F',2,'A1#',2,'G',6,  'R',2,
    'E',4,'D',1,'C',1,'E',1,'D',1,'C',2,'C1#',2,
    'A1#',1,'C1#',3,'G',2,'E',1.5,'C',0.5,'D',2,'D',1.5,'D',0.5,'C',6,'R',2]

tonename= ['R','A0','A0#','B0','C0','C0#','D0','D0#','E0','F0','F0#','G0','G0#',
            'A' , 'A#', 'B','C' ,'C#' ,'D' ,'D#' ,'E' ,'F' ,'F#' ,'G' ,'G#',
           'A1' , 'A1#', 'B1','C1' ,'C1#' ,'D1' ,'D1#' ,'E1' ,'F1' ,'F1#' ,'G1' ,'G1#',
           'A2','A2#','B2','C2','C2#','D2','D2#','E2','F2','F2#','G2','G2#']
tonefreq=[0,110,117,123,131,139,147,156,165,175,185,196,208,
           220, 233, 247, 262, 277, 294, 311, 330, 349, 370, 392 ,415,
           440, 466, 494, 523, 554, 587, 622, 659, 698, 740, 784, 831,
           880, 932, 988,1047,1109,1175,1245,1319,1397,1480,1568,1661 ]

freqcore=440
tempo=0.35

p=GPIO.PWM(12,freqcore)
p.start(0)

num=int(len(mdata)/2)
for j in range(0,num):
    music=mdata[2*j]
    dur=tempo*mdata[2*j+1]
    for i in range(0,len(tonename)):
        if music==tonename[i]:
            freq=tonefreq[i]
            print('%s\t : %d Hz\t  %4.2f Sec' % (music,freq, dur))
            if music=='R' :
                p.ChangeDutyCycle(0)
            else :
                p.ChangeDutyCycle(50)
                p.ChangeFrequency(freq)
            time.sleep(dur)
            break
p.stop()
GPIO.cleanup()
